USE Obfuscation;

IF OBJECT_ID( 'tdColumnType' ) IS NOT NULL
BEGIN
    RAISERROR( 'This script has already been run', 0, 1 );
    RETURN;
END

CREATE TABLE tdColumnType(
    ColumnTypeCD TINYINT NOT NULL CONSTRAINT pkColumnType PRIMARY KEY CLUSTERED,
    Descrip VARCHAR(50) NOT NULL,
    JoinTypeCD TINYINT NOT NULL,
    ViewOrFixedValue VARCHAR(50) NOT NULL,
    Alias VARCHAR(5) NOT NULL,

    CONSTRAINT fkColumnType_JoinType
    FOREIGN KEY( JoinTypeCD )
    REFERENCES tdJoinType( JoinTypeCD )
);


INSERT INTO tdColumnType
SELECT 1, 'FirstName', 1, 'vLetters', 'A' UNION ALL
SELECT 2, 'LastName', 2, '''Doe''', 'B' UNION ALL
SELECT 3, 'Address1', 1, 'vAddresses', 'C' UNION ALL
SELECT 4, 'AddressOther', 2, 'NULL', 'D' UNION ALL
SELECT 5, 'City', 2, '''Albany''', 'E' UNION ALL
SELECT 6, 'State', 2, '''NY''', 'F' UNION ALL
SELECT 7, 'Zip', 2, '''12203''', 'G' UNION ALL
SELECT 8, 'DOB', 2, '''1980-01-24''', 'H' UNION ALL
SELECT 9, 'SSN', 1, 'vSSNs', 'I' UNION ALL
SELECT 10, 'Phone', 1, 'vPhones', 'J';
